# Copyright (c) 2019 NVIDIA CORPORATION. All rights reserved.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import os
from datasets import load_dataset


class WikiText2Downloader:
    def __init__(self, save_path):
        self.save_path = save_path + '/wikitext-2'

        if not os.path.exists(self.save_path):
            os.makedirs(self.save_path)


    def download(self):
        dataset = load_dataset("wikitext", "wikitext-2-v1", cache_dir=self.save_path)
